@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a,
a:hover {
    text-decoration: none;
    color: var(--branco);
}

:root {
    --azul: #129799;
    --rosa: #FFA185;
    --branco: #FFF;

    --bg-header: var(--azul);
    --bg-footer: var(--azul);
}

body {
    font-family: 'Roboto', sans-serif;
}

header {
    background-color: var(--azul);
    color: var(--branco);
    display: flex;
    flex-direction: column;
}

header nav {
    display: flex;
    justify-content: center;
    gap: 50px;
    font-size: 30px;
    margin: 20px 0px;
}

header a {
    transition: .5s;
}

header a:hover {
    color: var(--rosa);
}

header a:hover,
.img-container img:hover,
.midia-container a:hover {
    transition: .5s;
    transform: scale(1.05);
}

.banner {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

h1 {
    font-size: 64px;
}

header .dropdown-container {
    width: 100%;
    display: none;
    padding: 0px 20px;
    justify-content: space-between;
    margin-bottom: 10px;
}

.dropdown-container button {
    background-color: var(--azul);
    border: none;
}

.dropdown-container .dropdown-menu {
    background-color: var(--azul);
}

.dropdown-container .dropdown-menu button {
    color: var(--branco);
}

.dropdown-container .dropdown-menu button:hover {
    color: var(--preto);
}

main {
    background-color: var(--rosa);
    width: 100%;
}

section {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px;
}

section a {
    color: black;
}

.text-container {
    margin: 30px 0px;
    padding: 20px;
}

.text-container h2 {
    font-size: 40px;
    color: var(--branco);
    text-transform: uppercase;
    margin-bottom: 15px;
}

.img-container img {
    margin: 10px 5px;
}

.text-container p {
    font-size: 25px;
}

.img-container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    gap: 10px;
}

.img-container img {
    max-width: 600px;
    cursor: pointer;
    transition: .5s;
}

section a:last-child {
    margin: 30px 0px;
    font-weight: bold;
    font-size: 25px;
}

footer {
    background-color: var(--bg-footer);
    color: var(--branco);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 40px;
    min-height: 80px;
}

footer .midia-container,
footer nav {
    display: flex;
    gap: 30px
}

@media (max-width: 600px) {
    header nav {
        display: none;
    }

    header h1 {
        font-size: 35px;
        margin-top: 30px;
    }

    header .banner {
        flex-direction: column;
        gap: 0;
    }

    header .banner img {
        max-width: 300px;
    }

    header .banner img,
    section .text-container {
        min-width: 90%;
    }

    header .dropdown-container {
        display: flex;
    }

    section .text-container h2 {
        font-size: 30px;
    }

    section .text-container p {
        font-size: 18px;
    }

    section .img-container img {
        max-width: 90%;
    }

    footer {
        flex-direction: column;
        padding: 30px 0px;
        gap: 20px;
    }
}


@media (min-width: 601px) and (max-width: 767px) {
    header nav a {
        font-size: 20px;
    }

    header h1 {
        font-size: 40px;
    }

    header .banner {
        flex-direction: column;
        gap: 0;
    }

    header .banner img {
        width: 400px;
    }

    section .text-container {
        max-width: 650px;
    }

    section .img-container img {
        max-width: 90%;
    }

    footer {
        flex-direction: column;
        padding: 30px 0px;
        gap: 20px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    header .banner {
        flex-direction: column;
        gap: 0;

    }

    section .text-container {
        max-width: 650px;
    }
}

@media (min-width: 992px) and (max-width: 1250px) {
    header .banner {
        flex-direction: column;
        gap: 0;
    }

    section .text-container {
        max-width: 650px;
    }
}

@media (min-width: 1200px) {
    section .img-container {
        max-width: 1400px;
    }
}